/**
 * 
 */
package gov.va.med.esr.service;

import java.io.Serializable;
import java.util.Date;

/**
 * @author DNS   KATIKM
 *
 */
public class PasswordChangeHistory implements Serializable {

    private static final long serialVersionUID = 8955670872078239594L;
    
    Date passwordChangeTime;
    String password;
    String passwordChangedBy;
    
    public PasswordChangeHistory(Date passwordChangeTime, String password, String passwordChangedBy){
        this.passwordChangeTime = passwordChangeTime;
        this.password = password;
        this.passwordChangedBy = passwordChangedBy;
    }
    /**
     * @return Returns the password.
     */
    public String getPassword() {
        return this.password;
    }
    /**
     * @return Returns the passwordChangeTime.
     */
    public Date getPasswordChangeTime() {
        return this.passwordChangeTime;
    }
    /**
     * @param password The password to set.
     */
    public void setPassword(String password) {
        this.password = password;
    }
    /**
     * @param passwordChangeTime The passwordChangeTime to set.
     */
    public void setPasswordChangeTime(Date passwordChangeTime) {
        this.passwordChangeTime = passwordChangeTime;
    }
    /**
     * @return Returns the passwordChangedBy.
     */
    public String getPasswordChangedBy() {
        return this.passwordChangedBy;
    }
    /**
     * @param passwordChangedBy The passwordChangedBy to set.
     */
    public void setPasswordChangedBy(String passwordChangedBy) {
        this.passwordChangedBy = passwordChangedBy;
    }
    
}
